> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# GetAccountCustomFields

This retrieves a list of the envelope custom fields associated with the account. These fields can be used in the envelopes for your account to record information about the envelope, help search for envelopes and track information. The envelope custom fields are shown in the Envelope Settings section when a user is creating an envelope in the Docusign member console. The envelope custom fields are not seen by the envelope recipients.

There are two types of envelope custom fields (shown by CustomFieldType), text and list. A text custom field lets the sender enter the value for the field. The list custom field lets the sender select the value of the field from a premade list.

## Schema

| Name      | Schema Type | Description                                   |
| --------- | ----------- | --------------------------------------------- |
| AccountId | String      | The account ID for the account being checked. |

## Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: test.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/GetAccountCustomFields"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <GetAccountCustomFields xmlns="http://www.docusign.net/API/AccountManagement">
         <AccountId>string</AccountId>
      </GetAccountCustomFields>
   </soap:Body>
</soap:Envelope>
```

This returns a list of envelope custom fields associated with the account and either a success or failure. If the call fails, an [error code](/docs/esign-rest-api/esign101/error-codes) and message is provided. The following information is included in the result: | Name | Schema Type | Description | | --- | --- | --- | | AccountCustomFields | AccountCustomField | The list of information about the envelope custom field. Each custom field has the following information:\n• Name – (String) The name of the envelope custom field.\n• CustomFieldType – The type of custom field, the values can be List or Text.\n• Show – (Boolean) When true, the custom field is shown to senders in the Docusign console during sending.\n• Required – (Boolean) When true, information must be entered into the custom field to send the envelope.\n• ListItems – An array of items if the CustomFieldType is List. |

## Sample Response XML

```
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <GetAccountCustomFieldsResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <GetAccountCustomFieldsResult>
            <AccountCustomFields>
               <AccountCustomField>
                  <Name>string</Name>
                  <CustomFieldType>Text or List</CustomFieldType>
                  <Show>boolean</Show>
                  <Required>boolean</Required>
                  <ListItems xsi:nil="true" />
               </AccountCustomField>
               <AccountCustomField>
                  <Name>string</Name>
                  <CustomFieldType>Text or List</CustomFieldType>
                  <Show>boolean</Show>
                  <Required>boolean</Required>
                  <ListItems xsi:nil="true" />
               </AccountCustomField>
            </AccountCustomFields>
            <Success>boolean</Success>
            <Error>
               <ErrorCode>string</ErrorCode>
               <Description>string</Description>
            </Error>
         </GetAccountCustomFieldsResult>
      </GetAccountCustomFieldsResponse>
   </soap:Body>
</soap:Envelope>
```